# PhasicFlow: src/Interaction/grainInteraction/grainInteraction/grainInteractionKernels.hpp File Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

grainInteractionKernels.hpp File Reference
Include dependency graph for grainInteractionKernels.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | ppInteractionFunctor< ContactForceModel, ContactListType >
struct | pwInteractionFunctor< ContactForceModel, ContactListType, TraingleAccessor, MotionModel >

## Namespaces

| pFlow
| pFlow::grainInteractionKernels